﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace CSC330Project2
{
     public partial class CreateManager : BaseForm
     {
          public CreateManager()
          {
               InitializeComponent();
          }

          private void button1_Click(object sender, EventArgs e)
          {
               //Encrypt password field
               byte[] data = System.Text.Encoding.ASCII.GetBytes(passwordBox.Text);
               data = new System.Security.Cryptography.SHA256Managed().ComputeHash(data);
               String hash = System.Text.Encoding.ASCII.GetString(data);

              using (SqlConnection connection = new SqlConnection(connectionString))
              {
                  //WRITE
                  SqlCommand cmd = new SqlCommand("INSERT INTO [Table] (username, password, type) VALUES (@username, @password, @type)");
                  //Table is reserved word -> [Table] instead of Table
                  cmd.CommandType = CommandType.Text;
                  cmd.Connection = connection;
                  cmd.Parameters.AddWithValue("@username", usernameBox.Text);
                  cmd.Parameters.AddWithValue("@password", hash);
                  if (frontDeskButton.Checked)
                      cmd.Parameters.AddWithValue("@type", "hotelmanager");
                  if (kitchenButton.Checked)
                      cmd.Parameters.AddWithValue("@type", "restmanager");
                  connection.Open();
                  cmd.ExecuteNonQuery();

                  //READ
                  SqlCommand cmd2 = new SqlCommand("SELECT userID, username FROM [Table]");
                  cmd2.CommandType = CommandType.Text;
                  cmd2.Connection = connection;
                  SqlDataReader myReader = cmd2.ExecuteReader();
                  while (myReader.Read())
                  {
                      if (myReader["username"].ToString() == usernameBox.Text)
                          MessageBox.Show("Saved to database...\nUsername: " + myReader["username"].ToString());
                  }
              }
              this.Close();
          }

          private void button2_Click(object sender, EventArgs e)
          {
               this.Close();
          }

     }
}
