﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Data.SqlClient;

namespace CSC330Project2
{
    public partial class Login : BaseForm
    {
        public Login()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
             //Encrypt password field
             byte[] data = System.Text.Encoding.ASCII.GetBytes(password.Text);
             data = new System.Security.Cryptography.SHA256Managed().ComputeHash(data);
             String hash = System.Text.Encoding.ASCII.GetString(data);

            string accessType = "";

            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                SqlCommand cmd = new SqlCommand("SELECT username, password, type FROM [Table]");
                cmd.CommandType = CommandType.Text;
                cmd.Connection = connection;
                connection.Open();
                SqlDataReader myReader = cmd.ExecuteReader();
                while (myReader.Read())
                {
                    if (((myReader["username"].ToString()) == username.Text) &&
                        ((myReader["password"].ToString()) == hash))
                    {
                        accessType = myReader["type"].ToString();
                    }
                }
            }
            if (accessType == "")
            {
                MessageBox.Show("Account does not exist.");
            }
            else
            {
                if (accessType == "admin")
                {
                    AdminCP admincp = new AdminCP();
                    admincp.Show();
                }
                if (accessType == "hotelmanager")
                {
                    HotelManCP hotelmancp = new HotelManCP();
                    hotelmancp.Show();
                }
                if (accessType == "restmanager")
                {
                    RestManCP restmancp = new RestManCP();
                    restmancp.Show();
                }
                if (accessType == "hotelemp")
                {
                    HotelEmpCP hotelempcp = new HotelEmpCP();
                    hotelempcp.Show();
                }
                if (accessType == "restemp")
                {
                    RestEmpCP restempcp = new RestEmpCP();
                    restempcp.Show();
                }
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            CreateAccount createaccount = new CreateAccount();
            createaccount.Show();
        }
    }
}
