﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Collections;
using System.Windows.Forms;

namespace CSC330Project2
{
     class Order
     {
          private int roomNumber;
          public List<Item> itemList = new List<Item>();

          public int RoomNumber { get { return roomNumber; } set { roomNumber = value; } }

          public Order()
          {
               roomNumber = 0;
          }

          public Order(int roomNumber)
          {
               this.roomNumber = roomNumber;
          }

          public void add(Item item)
          {
               itemList.Add(item);
          }

          public void remove(Item item)
          {
               itemList.Remove(item);
          }

          public void remove(int i)
          {
               itemList.RemoveAt(i);
          }

          public double totalPrice()
          {
               double price = 0;
               for (int i = 0; i < itemList.Count; i++)
               {
                    price += itemList[i].Price;
               }
               return price;
          }

          public string formattedTotalPrice()
          {
               return String.Format("{0:0.00}", totalPrice());
          }

          public bool display()
          {
               string stuff = "";
               for (int i = 0; i < itemList.Count; i++)
               {
                    stuff += itemList[i].ItemName + "            \t$" + itemList[i].formattedPrice() + "\n";
               }
               DialogResult dialogResult = MessageBox.Show("You Ordered:\n" + stuff + "\nTotal Price:\t$" + formattedTotalPrice(), "Order", MessageBoxButtons.YesNo);
               if (dialogResult == DialogResult.Yes)
                    return true;
               else
                    return false;
          }
     }
}
