﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Data;
using System.Data.SqlClient;

namespace CSC330Project2
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);
            
            string connectionString = @"Data Source=(LocalDB)\v11.0;AttachDbFilename=|DataDirectory|\Database1.mdf;Integrated Security=True";

            //launches admin creation if first login, otherwise launches login
            int adminExists = 0; //0 -> no admin, 1 -> admin, 2 -> exit application
            jump:
            using (SqlConnection connection = new SqlConnection(connectionString))
            {
                 SqlCommand cmd = new SqlCommand("SELECT type FROM [Table]");
                 cmd.CommandType = CommandType.Text;
                 cmd.Connection = connection;
                 connection.Open();
                 SqlDataReader myReader = cmd.ExecuteReader();
                 while (myReader.Read())
                 {
                      if ((myReader["type"].ToString()) == "admin")
                      {
                           adminExists = 1;
                      } 
                 }
            }

            if (adminExists == 1)
            {
                 Application.Run(new Login());
            }
            else if (adminExists == 0)
            {
                 Application.Run(new CreateAdmin());
                 adminExists = 2;
                 goto jump;
            }
        }
    }
}
